Bug 1128764 (CVE-2014-5030) - CVE-2014-5030 cups: allows local users to read arbitrary files via a symlink attack
Summary: CVE-2014-5030 cups: allows local users to read arbitrary files via a symlink ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-5030
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140722,repor...
Depends On: 1122601 1128773 1128774 1128775
Blocks: 1101912 1115577
TreeView+ depends on / blocked
 
Reported: 2014-08-11 13:59 UTC by Francisco Alonso
Modified: 2019-07-11 08:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that CUPS allowed certain users to create symbolic links in certain directories under /var/cache/cups/. A local user with the 'lp' group privileges could use this flaw to read the contents of arbitrary files on the system or, potentially, escalate their privileges on the system.
Clone Of:
Environment:
Last Closed: 2015-03-26 21:43:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1388 normal SHIPPED_LIVE Moderate: cups security and bug fix update 2014-10-14 01:21:38 UTC

Description Francisco Alonso 2014-08-11 13:59:57 UTC
It was reported [1] that CUPS allow local users to read arbitrary files via symlink attack on the directory index files:

index.html
index.class
index.pl
index.php
index.pyc
index.py

Upstream patches are available at [2] as well.

[1]: http://seclists.org/oss-sec/2014/q3/209
[2]: https://cups.org/str.php?L4455

Comment 5 Francisco Alonso 2014-08-11 14:19:18 UTC
Created cups tracking bugs for this issue:

Affects: fedora-all [bug 1128775]

Comment 7 Francisco Alonso 2014-08-11 14:43:50 UTC
Statement:

This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle, https://access.redhat.com/support/policy/updates/errata/

Comment 8 Martin Prpič 2014-10-07 08:44:49 UTC
IssueDescription:

It was discovered that CUPS allowed certain users to create symbolic links in certain directories under /var/cache/cups/. A local user with the 'lp' group privileges could use this flaw to read the contents of arbitrary files on the system or, potentially, escalate their privileges on the system.

Comment 9 errata-xmlrpc 2014-10-14 07:31:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1388 https://rhn.redhat.com/errata/RHSA-2014-1388.html

Comment 10 Tomas Hoger 2015-03-26 21:43:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHBA-2015:0386 https://rhn.redhat.com/errata/RHBA-2015-0386.html


Note You need to log in before you can comment on or make changes to this bug.